## mixmaster 3.0.0

=== debian/changelog ===
mixmaster (3.0.0-9) unstable; urgency=medium

  * Ack the NMU.
  * Bump debian/compat to 9
  * Bump standards version to 3.9.8 (no changes required)
  * Convert to source format 3.0 quilt
  * Migrate to openssl1.1 (Closes: #859227)

 -- Colin Tuckley <colint@debian.org>  Sun, 02 Jul 2017 18:28:00 +0100

mixmaster (3.0.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with OpenSSL 1.0 (Closes: #828436).

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Dec 2016 21:50:12 +0500

mixmaster (3.0.0-8) unstable; urgency=medium

  * Add pt_BR.po Brazilian Portuguese translation file
      from Adriano Rafael Gomes <adrianorg@arg.eti.br> (Closes: #811535)
  * Bump standards version to 3.9.7 (no changes required)

 -- Colin Tuckley <colint@debian.org>  Mon, 28 Mar 2016 14:20:50 +0100

mixmaster (3.0.0-7) unstable; urgency=low

  * Add it.po Italian translation file
      from Beatrice Torracca <beatricet@libero.it> (Closes: #714011)
  * Bump standards version to 3.9.4 (no changes required)
  * Incorporate patch from Peter Palfrader to fix mixmaster-update
    (Closes: #703959)
  * Add dpkg buildflags to debian/rules

 -- Colin Tuckley <colint@debian.org>  Thu, 27 Jun 2013 10:56:53 +0100

mixmaster (3.0.0-6) unstable; urgency=low

  * fix segfault on architectures where the default for "char"
    is not "signed" (Closes: #690206)

 -- Colin Tuckley <colint@debian.org>  Fri, 08 Feb 2013 13:59:24 +0000

mixmaster (3.0.0-5) unstable; urgency=low

  * Ack NMU
  * Fix create of /var/lib/mixmaster (Closes: #678489)
  * Fix create of /var/run/mixmaster when on tmpfs
  * bump standards version to 3.9.3 (no changes required).
  * Add debian/watch file.

 -- Colin Tuckley <colint@debian.org>  Fri, 29 Jun 2012 19:23:47 +0100

mixmaster (3.0.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Logrotate configuration patch from Marcelo E. Magallon (Closes: #651273)
  * Danish translation patch from Joe Dalton (Closes: #628205)
  * Fix most of lintian warnings.

 -- Osamu Aoki <osamu@debian.org>  Sat, 28 Jan 2012 10:12:36 +0900

mixmaster (3.0.0-4) unstable; urgency=low

  * Add ja.po debconf template (Closes: #554094)
    supplied by Hideki Yamane.
  * bump standards version to 3.8.3 (no changes required).

 -- Colin Tuckley <colint@debian.org>  Wed, 04 Nov 2009 20:33:02 +0000

mixmaster (3.0.0-3) unstable; urgency=low

  * Fix unowned files after purge Bug (Closes: #531285).
  * bump standards version to 3.8.2 (no changes required).
  * dynamically create /var/run/mixmaster.
  * Fix pod-2-man errors.

 -- Colin Tuckley <colint@debian.org>  Mon, 06 Jul 2009 20:19:26 +0100

mixmaster (3.0.0-2) unstable; urgency=low

  * Fix FTBFS with GCC 4.4: #elif is missing defined() in pgp.c
    patch from Martin Michlmayr <tbm@cyrius.com> (Closes: #504830).
  * bump standards version to 3.8.0 (no changes required).
  * remove weasel from uploaders at his request.

 -- Colin Tuckley <colint@debian.org>  Tue, 17 Feb 2009 19:12:35 +0000

mixmaster (3.0.0-1) unstable; urgency=low

  * New Upstream version.
  * Fix manpage error (Closes: #460286).
  * Update to debhelper v5 (no changes required).

 -- Colin Tuckley <colint@debian.org>  Fri, 07 Mar 2008 11:33:59 +0000

mixmaster (3.0b2-7) unstable; urgency=low

  * Update debian/README.Debian to fix typos and correct
    remops mailing list info (Closes: #439059).
  * Update debian/mixmaster.postinst.in to fix typo.
  * Include reference to the Mixmaster FAQ in
    debian/README.Debian (Closes: #223241).
  * updated maintainer email address.
  * Added patch from Ubuntu to use lsb functions
    in init file by David Mandelberg and add LSB keyword
    section to init file (Closes: #453401).
  * bump standards version to 3.7.3 (no changes required).
  * remove unused man5 and defaultconfig dirs.
  * Make debian/copyright valid UTF-8.

 -- Colin Tuckley <colint@debian.org>  Fri, 21 Dec 2007 13:12:22 +0000

mixmaster (3.0b2-6) unstable; urgency=low

  [ Colin Tuckley ]
  * New Maintainer.  Old maintainer still listed as uploader.
  * Added Homepage field to debian/control (Closes: #412901).
  * Fix typo in mixmaster.1 (Closes: #429410).
  * Include Spanish translation from Rudy Godoy (Closes: #414345).
  * Move debhelper compat setting to debian/compat from debian/rules.
  * Move to new Menu policy structure, Applications/Network/Communication.
  * Update allpingers.txt

  [ Peter Palfrader ]
  * Fix mixmaster-filter and mixmaster-update manpages: In the NAME section
    there should be a hyphen between the name and the short description.
    It's what mandb (apropos/whatis) parse.

 -- Colin Tuckley <colin@tuckley.org>  Wed, 21 Nov 2007 10:21:50 +0000

mixmaster (3.0b2-5) unstable; urgency=high

  * Backport a fix from upstream:
    In two functions in keymgt.c we had allocated a buffer of 33 bytes
    when if fact we were using one more - 34 - bytes.  This buffer
    overflow is exposed when building with gcc 4.x, it never was exposed
    with previous compilers because they apparently layed out the stack
    differently.
    The result of this buffer overflow is that a single 0-byte will be
    written at the end of the buffer.  At that position on the stack
    there is (at least in the previous build) a saved local variable
    from a calling function.  This local variable is a pointer to a
    BUFFER struct and this pointer has its least significant byte
    set to zero.
    This prevents mixmaster from properly decrypting incoming type2
    messages.  It's not likely that this can be exploited to execute
    arbitrary code, tho evidence or argument to the contrary are of course
    welcome.
    Upstream patch:
    http://svn.noreply.org/cgi-bin/viewcvs.cgi/trunk/Mix/Src/keymgt.c?rev=929&r1=766&r2=929
    Closes: #418662
    Thanks to Hauke Lampe and Colin Tuckley.

 -- Peter Palfrader <weasel@debian.org>  Sun, 22 Apr 2007 17:43:13 +0200

mixmaster (3.0b2-4) unstable; urgency=low

  [ Christian Perrier ]

