=== debian/control ===
Source: mixmaster
Section: mail
Priority: optional
Maintainer: Colin Tuckley <colint@debian.org>
Homepage: http://mixmaster.sourceforge.net/
Build-Depends: debhelper (>= 9), libncurses5-dev, libpcre3-dev, libssl-dev, zlib1g-dev, bison, po-debconf, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.8

Package: mixmaster
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf (>= 1.2.9) | debconf-2.0, libwww-perl, libmailtools-perl, adduser, lsb-base (>= 3.0-6)
Recommends: postfix | mail-transport-agent
Suggests: mutt
Description: Anonymous remailer client and server
 Mixmaster is the reference implementation of the type II remailer protocol
 which is also called Mixmaster.
 .
 An anonymous remailer is a computer service that privatizes your email. A
 remailer allows you to send electronic mail to a Usenet news group or to a
 person without the recipient knowing your name or your email address.
 Anonymous remailers provide protection against traffic analysis.
 .
 This package provides both a client and an optional server installation.
